2019-06-25 03:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002209NetSurfFramebuffer-specificpublic2015-03-10 23:44
ReporterChristian Lepper 
Assigned ToVincent Sanders 
SeverityblockReproducibilityalways 
StatusclosedResolutionfixed 
PlatformX86 -> armOSubuntuOS Version
Product Version3.2 
Target VersionFixed in Version3.3 
Summary0002209: Compiling Error cause of double typedef'd : typedef struct fbtk_widget_s fbtk_widget_t
DescriptionIn work/netsurf/framebuffer/fbtk.h and work/netsurf/framebuffer/gui.h
double typedef of symbol: typedef struct fbtk_widget_s fbtk_widget_t;

my /opt/freescale/usr/local/gcc-4.4.4-glibc-2.11.1-multilib-1.0/arm-fsl-linux-gnueabi/bin/arm-linux-gcc

creates a error from this.
Steps To Reproducein my case just load the actual code from git and make.
Additional Informationin work/netsurf/framebuffer/gui.h
chaged the lines to:
./framebuffer/gui.h:23: // typedef struct fbtk_widget_s fbtk_widget_t;

./framebuffer/gui.h:73: void gui_resize(struct fbtk_widget_s *root, int width, int height);

than it compiled and linked.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0000514

Michael Drake (administrator)

Should be fixed now. Thanks for the report.
Vincent Sanders

~0000758

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-10-23 14:13 Christian Lepper New Issue
2014-10-23 22:50 Vincent Sanders Status new => acknowledged
2014-10-24 20:20 Michael Drake Note Added: 0000514
2014-10-24 20:20 Michael Drake Status acknowledged => resolved
2014-10-24 20:20 Michael Drake Resolution open => fixed
2014-10-24 20:20 Michael Drake Fixed in Version => 3.3
2015-03-10 23:44 Vincent Sanders Note Added: 0000758
2015-03-10 23:44 Vincent Sanders Status resolved => closed
2015-03-10 23:44 Vincent Sanders Assigned To => Vincent Sanders
+Issue History